Loading...
Searching...
No Matches
IMG_BOXFILTER

## Functions

void | ne10_img_boxfilter_rgba8888_c (const ne10_uint8_t *src, ne10_uint8_t *dst, ne10_size_t src_sz, ne10_int32_t src_stride, ne10_int32_t dst_stride, ne10_size_t kernel)
| box filter
void | ne10_img_boxfilter_rgba8888_neon (const ne10_uint8_t *src, ne10_uint8_t *dst, ne10_size_t src_sz, ne10_int32_t src_stride, ne10_int32_t dst_stride, ne10_size_t kernel)
| neon optimized box filter

## Detailed Description

## Function Documentation

## ne10_img_boxfilter_rgba8888_c()

void ne10_img_boxfilter_rgba8888_c | ( | const ne10_uint8_t * | src,
|  | ne10_uint8_t * | dst,
|  | ne10_size_t | src_sz,
|  | ne10_int32_t | src_stride,
|  | ne10_int32_t | dst_stride,
|  | ne10_size_t | kernel
| ) |  |

box filter

Parameters

  [out] | *dst | point to the destination image
  [in] | *src | point to the source image
  [in] | src_sz | source image size struction
  [in] | src_stride | stride of source image
  [in] | dst_stride | stride of destination image
  [in] | kernel | kernel size of box filter, both of kernel edge supports from 1 to 65535, that is 1x1 1x2 1x3 ... 1x65535 2x1 2x2 2x3 ... 2x65535 ... are all supported.

Returns
  none. The function implements box filter, destination image's size is smae as source image

Definition at line 354 of file NE10_boxfilter.c.

## ne10_img_boxfilter_rgba8888_neon()

void ne10_img_boxfilter_rgba8888_neon | ( | const ne10_uint8_t * | src,
|  | ne10_uint8_t * | dst,
|  | ne10_size_t | src_sz,
|  | ne10_int32_t | src_stride,
|  | ne10_int32_t | dst_stride,
|  | ne10_size_t | kernel
| ) |  |

neon optimized box filter

Parameters

  [out] | *dst | point to the destination image
  [in] | *src | point to the source image
  [in] | src_sz | source image size struction
  [in] | src_stride | stride of source image
  [in] | dst_stride | stride of destination image
  [in] | kernel | kernel size of box filter, both of kernel edge supports from 2 to 127 are all supported. and for 1 and larger than 127 case, it is supported by calling the c version of box filter

Returns
  none. The function implements box filter, destination image's size is smae as source image

Definition at line 434 of file NE10_boxfilter.neon.c.